Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class StorageDateClearingPrice_GeneterateDate2Date_PopUp
    Inherits BaseObject

    Dim _StartDate As Date
    Dim _EndDate As Date

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property StartDate As Date
        Get
            Return _StartDate
        End Get
        Set(value As Date)
            SetPropertyValue("StartDate", _StartDate, value)
        End Set
    End Property
    Property EndDate As Date
        Get
            Return _EndDate
        End Get
        Set(value As Date)
            SetPropertyValue("EndDate", _EndDate, value)
        End Set
    End Property
End Class
